Last Comment Bug 495743 - Upgrade Live Chat plugins and restart Openfire on 6/9/2009
: Upgrade Live Chat plugins and restart Openfire on 6/9/2009
Status: RESOLVED FIXED
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-31 23:21 PDT by Matthew Middleton (:zzxc)
Modified: 2015-03-12 08:17 PDT (History)
5 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Matthew Middleton (:zzxc) 2009-05-31 23:21:02 PDT
Openfire will need to be restarted when SUMO 1.1 is pushed on 6/2/2009, during the normal maintenance window.  Before starting, ask in #sumodev to make sure that the new plugins have been uploaded.  The code being pushed is https://svn.mozilla.org/projects/livechat/tags/1.1/
Comment 1 Phong Tran [:phong] 2009-06-02 19:28:34 PDT
looks like this has been pushed off to June 9th.
bug 495789
Comment 2 Matthew Middleton (:zzxc) 2009-06-03 21:39:07 PDT
Unlike prior plugin updates, this upgrade will require manually deleting the old plugin from production.  If the web-based upgrade is used, some old DWR configuration is left behind due to bug 475219.

Here are the steps necessary for this push, which should be tested on staging first:

0. Shut down the server

1. Delete the old plugins

rm /opt/openfire/plugins/webchat.war
rm /opt/openfire/plugins/fastpath.jar
rm -rf /opt/openfire/plugins/webchat
rm -rf /opt/openfire/plugins/fastpath

2. Copy the new plugins (fastpath.jar and webchat.war) to /opt/openfire/plugins/

(These are currently built by me on sm-chat01 from SVN)

3. Restart the server
Comment 3 Matthew Middleton (:zzxc) 2009-06-09 14:53:33 PDT
I uploaded the compiled plugins to http://dm-sumotools01.mozilla.org/downloads/sumo1.1-openfire.tar.bz2 - these files are what need to be placed in the plugins folder.
Comment 4 Matthew Middleton (:zzxc) 2009-06-09 15:10:51 PDT
This push only affects Openfire, so this can still happen tonight even though the main sumo push was delayed.
Comment 5 Jeremy Orem [:oremj] 2009-06-09 22:01:41 PDT
Done.

Note You need to log in before you can comment on or make changes to this bug.